<?php
/**
 * The batch operate view file of flow module of RanZhi.
 *
 * @copyright   Copyright 2009-2016 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件，非开源软件
 * @author      Gang Liu <liugang@cnezsoft.com>
 * @package     flow 
 * @version     $Id$
 * @link        http://www.ranzhico.com
 */
?>
<?php include $app->getModuleRoot($flow->app) . 'common/view/header.html.php';?>
<?php js::set('module', $flow->module);?>
<?php js::set('action', $action->action);?>
<?php js::set('batchMode', $action->batchMode);?>
<?php js::set('row', $config->flow->batchCreateRow);?>
<div class='panel'>
  <div class='panel-heading'>
    <strong><?php echo str_replace('-', '', $title);?></strong>
  </div>
  <div class='panel-body'>
    <form id='ajaxForm' method='post' action='<?php echo $actionURL;?>'>
      <table class='table table-borderless'>
        <thead>
          <tr class='text-center'>
            <?php
            foreach($fields as $field)
            {
                if(!$field->show) continue;
      
                $width    = $field->width == 'auto' ? '' : 'w-' . $field->width . 'px';
                $required = strpos(",$field->rules,", ",$notEmptyRule->id,") !== false ? 'required' : '';
                echo "<th class='$width $required'>$field->name</th>";
            }
            if(empty($dataList)) echo "<th class='w-100px'>$lang->actions</th>";
            ?>
          </tr>
        </thead>
        <tbody>
          <?php
          if(empty($dataList))
          {
              /* Batch create of the current flow. */
              for($i = 0; $i < $config->flow->batchCreateRow; $i++)
              {
                  echo "<tr data-key='$i'>";
          
                  $index = 1;
                  foreach($fields as $field)
                  {
                      if(!$field->show) continue;
          
                      echo '<td>';
          
                      echo $this->flow->buildControl($field, $field->defaultValue, "dataList[$i][$field->field]");
                      if($index == 1) echo "<div id='error{$i}'></div>";
          
                      echo '</td>';
          
                      $index++;
                  }
          
                  echo '<td>';
                  echo "<a href='javascript:;' class='btn addItem'><i class='icon icon-plus'></i></a>";
                  echo "<a href='javascript:;' class='btn delItem'><i class='icon icon-remove'></i></a>";
                  echo '</td>';
                  echo '</tr>';
              }
          }
          else
          {
              /* Batch create from the prev flow. */
              foreach($dataList as $dataID)
              {
                  echo '<tr>';
          
                  $index = 1;
                  foreach($fields as $field)
                  {
                      if(!$field->show) continue;
          
                      echo '<td>';
          
                      $value = $field->field == $prevField ? $dataID : $field->defaultValue;
                      echo $this->flow->buildControl($field, $value, "dataList[$dataID][$field->field]");
                      if($index == 1) echo "<div id='error{$dataID}'></div>";
          
                      echo '</td>';
          
                      $index++;
                  }
          
                  echo '</tr>';
              }
          }
          ?>
        </tbody>
      </table>
      <div class='form-actions text-center'>
        <?php echo baseHTML::submitButton();?>
        <?php echo html::backButton();?>
      </div>
    </form>
  </div>
</div>
<?php include $app->getModuleRoot($flow->app) . 'common/view/footer.html.php';?>
